## org.hibernate.persister.entity
Interface SQLLoadable

All Superinterfaces:
  EntityPersister, Loadable, OptimisticCacheSource

All Known Implementing Classes:
  AbstractEntityPersister, JoinedSubclassEntityPersister, SingleTableEntityPersister, UnionSubclassEntityPersister

    public interface SQLLoadable

extends Loadable

A class persister that supports queries expressed in the platform native SQL dialect

Author:
  Gavin King, Max Andersen

Field Summary

Fields inherited from interface org.hibernate.persister.entity.Loadable
`ROWID_ALIAS`

Fields inherited from interface org.hibernate.persister.entity.EntityPersister
`ENTITY_ID`

Method Summary
`String[]` `getSubclassPropertyColumnAliases(String propertyName, String suffix)` Return the column alias names used to persist/query the named property of the class or a subclass (optional operation).
`String[]` `getSubclassPropertyColumnNames(String propertyName)` Return the column names used to persist/query the named property of the class or a subclass (optional operation).
`Type` `getType()` Get the type
`String` `selectFragment(String alias, String suffix)` All columns to select, when loading.

Methods inherited from interface org.hibernate.persister.entity.Loadable
`getDiscriminatorAlias, getDiscriminatorColumnName, getDiscriminatorType, getIdentifierAliases, getIdentifierColumnNames, getPropertyAliases, getPropertyColumnNames, getSubclassForDiscriminatorValue, hasRowId, hasSubclasses, hydrate, isAbstract, registerAffectingFetchProfile`

Methods inherited from interface org.hibernate.persister.entity.EntityPersister

`afterInitialize, afterReassociate, canExtractIdOutOfEntity, createProxy, delete, findDirty, findModified, forceVersionIncrement, getCacheAccessStrategy, getCacheEntryStructure, getClassMetadata, getConcreteProxyClass, getCurrentVersion, getDatabaseSnapshot, getEntityMetamodel, getEntityName, getFactory, getIdentifier, getIdentifier, getIdentifierGenerator, getIdentifierPropertyName, getIdentifierType, getMappedClass, getNaturalIdentifierProperties, getNaturalIdentifierSnapshot, getPropertyCascadeStyles, getPropertyCheckability, getPropertyInsertability, getPropertyInsertGenerationInclusions, getPropertyLaziness, getPropertyNames, getPropertyNullability, getPropertySpaces, getPropertyType, getPropertyTypes, getPropertyUpdateability, getPropertyUpdateGenerationInclusions, getPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesToInsert, getPropertyVersionability, getQuerySpaces, getRootEntityName, getSubclassEntityPersister, getVersion, getVersionProperty, getVersionType, guessEntityMode, hasCache, hasCascades, hasCollections, hasIdentifierProperty, hasInsertGeneratedProperties, hasLazyProperties, hasMutableProperties, hasNaturalIdentifier, hasProxy, hasSubselectLoadableCollections, hasUninitializedLazyProperties, hasUpdateGeneratedProperties, implementsLifecycle, implementsValidatable, insert, insert, instantiate, instantiate, isBatchLoadable, isCacheInvalidationRequired, isIdentifierAssignedByInsert, isInherited, isInstance, isInstrumented, isLazyPropertiesCacheable, isMutable, isSelectBeforeUpdateRequired, isSubclassEntityName, isTransient, isVersioned, isVersionPropertyGenerated, load, load, lock, lock, postInstantiate, processInsertGeneratedProperties, processUpdateGeneratedProperties, resetIdentifier, resetIdentifier, setIdentifier, setIdentifier, setPropertyValue, setPropertyValues, update`

Methods inherited from interface org.hibernate.cache.OptimisticCacheSource
`getVersionComparator`

Method Detail

### getSubclassPropertyColumnAliases

    String[] getSubclassPropertyColumnAliases(String propertyName,
                                              String suffix)

  Return the column alias names used to persist/query the named property of the class or a subclass (optional operation).

### getSubclassPropertyColumnNames

    String[] getSubclassPropertyColumnNames(String propertyName)

  Return the column names used to persist/query the named property of the class or a subclass (optional operation).

### selectFragment

    String selectFragment(String alias,
                          String suffix)

  All columns to select, when loading.

### getType

    Type getType()

  Get the type

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.